/*CUSTOM CSS*/
@import url('https://fonts.googleapis.com/css?family=Barlow+Semi+Condensed:300i,400i,500,600,700');

/*General*/

/*a:visited,a:hover,a:focus,a:hover, a:active,a:before img,a img { text-decoration: none; cursor: pointer; border: none !important }*/

a,button,button.btn,.btn.focus,.btn:focus{
    outline: none !important;
    border: 0px;
    box-shadow: none;
 }
 a.textmd {
  font-size: 1.8rem;
  line-height: 1.8em;
  text-transform: uppercase;
  font-weight: 600;
}

img.border3 {
  border: 3px solid #f1f1f1;
  border-radius: 1rem;
}
/* HEADER BackgroundImage */
.bg-blue {
  background-color: #7AC5D5;
}
.bg-gray {
  background-color: #DDDDDD;
}
.bg-gray-light {
  background-color: #F4F4F4;
}
.bg-yellow {
  background:#fcf0d4 !important;
}
.bg-black-opacity {
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0, 0.4); /* Black w/opacity/see-through */
}
.bg-black {
  background-color: black;
}

/* Modal Content Background image */
.bg-app1 {
  background-image: url(../img/portfolio/detail/app1/bg-app1.webp);
  background-size: 120%;
}
.bg-app2 {
  background-image: url(../img/portfolio/detail/app2/bg-app2.webp);
  background-size: cover;
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0, 0.4); /* Black w/opacity/see-through */
}

/*Portfolio Gallery*/
#tabs-bar {
    padding:0px;
    width: 100%;
}
#tabs-bar ul {
    display: block;
    padding: 0px;
    margin: 0 auto;
    width: 100%;
}
#tabs-bar ul li {
    text-align: center;
    float: left;
    display: -webkit-box;
    width: 25%;
}
@media screen and (min-width: 320px) and (max-width: 1023px)  {
  #tabs-bar ul li {
      width: 50%;
  }
}
#tabs-nav li a {
  list-style: none;
  display: block;
  padding: 20px 35px;
  background: #00f6d1;
  font-size: 1.4rem;
  font-weight: 600;
  color: black;
  text-align: left;
  text-decoration: none;
  font-family: 'Haas Grot Text R Web', sans-serif;
  text-transform: uppercase;
  width: 100%;
  text-align: center;
}
@media screen and (min-width: 320px) and (max-width: 1023px)  {
  #tabs-nav li a {
    padding: 5px 5px;
    font-size: 0.8rem;
  }
}

#tabs-nav li a.current, #tabs-nav li a:hover {
    background: #212529;
    color: #00f6d1;
}
#tabs-content-wrap {
    margin-left: 3rem;
    margin-right: 0rem;
}
#tabs-content-wrap ul {
    display: block;
    list-style: none;
    width: 100%;
    padding: 0px;
}
#tabs-content-wrap ul li {
    width: 100%;
    list-style: none;
    list-style: none;
}
.tab-content img.img-fluid {
    width: 100%;
}

/*View More Portfolio All*/
button.portfolio-viewmore {
  background: black;
  color: white;
  font-size: 26px;
  margin-bottom: 3rem;
  border-radius: 0px;
  padding: .6rem 5rem;

}
.collapse.show {
    display: inherit;
}
a.portfolio-link:hover {
    transform: scale(1.02);
}
a.portfolio-link {
    transition: all .2s ease-in-out;
}

/*Portrait*/
.navbar {
  background-color: #fffffff7 !important;
}

.container.menu-header {
  margin-top: 1rem;
  max-width: 95% !important;
}
@media screen and (min-width: 320px) and (max-width: 1023px)  {
 .container.menu-header {
    margin-top: 0rem;
  } 
}
.menu-header sup { top: 0px;}

.header-photo {
  margin-top: -6rem;
}
.header-photo img {
  padding: 4rem;
}
.btn-availability,.btn-getaquote,.btn-contact {
  color: white;
  width: 46%;
  font-family: 'Barlow Semi Condensed', sans-serif !important;
  font-size: 22px;
  font-weight: inherit !important;
  margin-bottom: 1rem;
  border-radius: 0px;
}
.btn-availability:hover,.btn-getaquote:hover,.btn-contact:hover {
  color: white;
}
.btn-availability {
  background: #FF3366;
}
.btn-getaquote {
  background: #FF7A08;
}
.btn-contact {
  background: black;
  width: 14rem;
}
.icons-intro > div {
  margin: 2rem 0rem;

}
.icons-intro a,.icons-intro a:focus {
  color: white !important;
  text-decoration: none;
  border-radius: .6rem;
}

/*Portfolio*/
section#portfolio {
    padding: 0px;
    margin-top: 18rem;
}
@media screen and (min-width: 320px) and (max-width: 1023px)  {
  section#portfolio {
    margin-top: 5rem;
  } 
}

section#portfolio .content-portfolio {
  margin-top: 3rem;
}

/*Services*/
section#services {
    padding: 3rem 5% 11rem 5%;
}
section#services .our-services div {display: grid;}
section#services .our-services div a {
    background: #08f6d1;
    padding: 0.5rem 0.8rem 0.5rem 1.5rem;
    margin-bottom: 1rem;
}
#services h2,#services h3,#services h4, #services .text-muted {color: #212529 !important;}

/*Modal Window texts*/
#ServicesBranding .modal-content {
  margin-top: 10vh;
}
@media only screen and (max-device-width : 768px) {
   #ServicesBranding .modal-content {
    margin-top: 3vh;
  }
}
#ServicesBranding h3.item-intro.pb-3 {
    font-weight: bold;
    font-size: 3rem;
    text-align: left;
    padding-left: 16%;
}
@media only screen and (max-device-width : 1024px) {
   #ServicesBranding h3.item-intro.pb-3 {
      font-size: 2rem;
      padding-left: 8%;
   } 
}
#ServicesBranding ul li {
  font-size: 25px;
  text-align: left;
}
@media only screen and (max-device-width : 1024px) {
   #ServicesBranding ul li {
    font-size: 20px;
  } 
}

/*Carousel Indicators*/
.carousel-indicators .active {
    background-color:black !important;
}
.carousel-item.active {
    /*height: 45vh;*/
}
.carousel-indicators li {
    background-color: #08f6d1;
    height: 8px;
}
.carousel-control-next-icon {
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
}

.carousel-control-prev-icon {
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
}

/*Products*/
#products a.portfolio-link .img-fluid {
  min-width: 100%;
}
/*Contact*/
#contact h3 { color: white !important}
#contact h3.text {
  font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol" !important;
  letter-spacing: 0.05em;
}
#contact i { margin-right: 1rem}
#contact a.social{
  background: transparent;
  border: none;
  width: 300px;
  margin: auto;  
 }
#contact a{
    background: #00f6d1;
    padding: 1rem;
    border: 2px solid #00f6d1;
    display: block;
    box-sizing: border-box;
    min-width: max-content;}
#contact .form-group input {
  border: none;
  border-radius: 0px;
}



body {
  overflow-x: hidden;
  font-family: 'Haas Grot Text R Web', sans-serif;
}

p {
  line-height: 1.75; }

a {color: #212529; }
a:hover {     text-decoration: none; font-weight: bold; color: black;}

.link-red, .link-red:hover {color:black; letter-spacing: 0.08rem;}

.link-white, .link-white:hover {color:#212529; letter-spacing: 0.08rem; text-decoration: none; font-weight: bold;}

.text-primary {
  color: #fed136 !important; }

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 100;
  font-family: 'Haas Grot Text R Web', sans-serif;
}
h2.whatwedo {
  font-size: 160px !important;
}
section h2.section-heading {
  font-weight: 700;
  margin: 3rem 5%;
  font-size: 4rem;
}
section h3.section-subheading {
  font-size: 16px;
  font-weight: 400;
  margin-bottom: 25px;
  text-transform: none;
  font-family: 'Haas Grot Text R Web', sans-serif; }

.btn-xl {
  font-size: 18px;
  padding: 20px 40px; }

.btn-primary {
    background-color: black;
    border-radius: 0px;
    cursor: pointer;
    border: none;
    outline: none;
    padding: 10px 28px;
    max-width: max-content;
    border-radius: 5px;
  }
  .btn-primary:active, .btn-primary:focus, .btn-primary:hover {
    background-color: #00f6d1 !important;
    color: black; }
  .btn-primary:active, .btn-primary:focus {
    box-shadow: 0 0 0 0.2rem rgba(254, 209, 55, 0.5) !important; }

::-moz-selection {
  background: #fed136;
  text-shadow: none; }

::selection {
  background: #fed136;
  text-shadow: none; }

img::selection {
  background: transparent; }

img::-moz-selection {
  background: transparent; }


#mainNav { background-color: #212529; }

#mainNav .navbar-toggler{
  font-size: 30px;
  right: 0;
  padding: 21px 0.5rem 14px 0rem;
  text-transform: uppercase;
  color: transparent;
  text-shadow: 0 0 0 black;
  border: 0;
  box-shadow: none;
  }
#mainNav .navbar-brand {
  color: #212529;
  font-family: 'Haas Grot Text R Web', sans-serif;
  font-weight: 700;
}
  #mainNav .navbar-brand.active, #mainNav .navbar-brand:active, #mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
    color: #212529; }
#mainNav .navbar-nav .nav-item .nav-link {
  font-size: 100%;
  font-weight: 400;
  padding: 0.75em 0;
  letter-spacing: 1px;
  color: black;
  font-family: 'Haas Grot Text R Web', sans-serif;
  font-weight: 700;
}

#mainNav .navbar-nav .nav-item .nav-link.contact-btn-desktop {
  background: #212529;
  padding: 0.5em 1.2rem !important;
  margin-bottom: 1rem;
  float: right;
  color: white;
}

header.masthead {
  text-align: center;
  /* bg-img */
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-position: 12% center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  padding-bottom: 3rem;
}
header.masthead .intro-text .intro-lead-in {
  font-size: 22px;
  font-style: italic;
  line-height: 22px;
  margin-bottom: 25px;
  font-family: 'Droid Serif', 'Helvetica Neue', Helvetica, Arial, sans-serif; 
}
header.masthead .intro-text .words {
  font-size: 17px;
font-style: italic;
font-family: sans-serif;
}
.intro-heading {
  font-size: 50px;
  font-weight: lighter;
  line-height: 50px;
  margin-bottom: 25px;
  font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; 
}


.service-heading {
  margin: 15px 0;
  text-transform: none; }

#portfolio .portfolio-item {
  right: 0;
  margin: 0 0 15px; 
}
#portfolio .portfolio-item .portfolio-link {
  position: relative;
  display: block;
  margin: 0 auto;
  cursor: pointer; 
}

#portfolio .portfolio-item .portfolio-caption {
  margin: 0 auto;
  padding: 25px 0px;
  text-align: left;
  background-color: #fff; 
}
#portfolio .portfolio-item .portfolio-caption h4 {
  margin: 0;
  font-size: 22px;
  text-transform: none;
  margin-bottom: 0.3rem;
}
#portfolio .portfolio-item .portfolio-caption p {
  font-size: 17px;
  margin: 0;
  font-family: Arial, sans-serif;
  color: #868e96;
  line-height: 1.4em;
}


/*Portfolio Each Category*/
#portfolio .portfolio-item .portfolio-caption.category p{
color: black;
}



#portfolio * {
  z-index: 2; }

@media (min-width: 991px) {
  #portfolio .portfolio-item {
    margin: 0 0 30px; } }

.portfolio-modal {
  padding-right: 0px !important; }
.portfolio-modal .modal-dialog {
  margin: 0.5rem;
  max-width: 100vw; }
.portfolio-modal .modal-content {
  padding: 100px 0;
  text-align: center; }
.portfolio-modal .modal-content h2 {
  font-size: 3em;
  margin-bottom: 15px; }
.portfolio-modal .modal-content p {
  margin-bottom: 30px; }
.portfolio-modal .modal-content p.item-intro {
  font-size: 16px;
  font-style: italic;
  margin: 20px 0 30px;
  font-family: 'Droid Serif', 'Helvetica Neue', Helvetica, Arial, sans-serif; }
.portfolio-modal .modal-content ul.list-inline {
  margin-top: 0;
  margin-bottom: 30px; }
.portfolio-modal .modal-content img {
  margin-bottom: 30px; }
.portfolio-modal .modal-content button {
  cursor: pointer; }
.portfolio-modal .close-modal {
  position: absolute;
  top: 25px;
  right: 25px;
  width: 75px;
  height: 75px;
  cursor: pointer;
  background-color: transparent; }
.portfolio-modal .close-modal:hover {
  opacity: 0.3; }
.portfolio-modal .close-modal .lr {
  /* Safari and Chrome */
  z-index: 1051;
  width: 1px;
  height: 75px;
  margin-left: 35px;
  /* IE 9 */
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  background-color: #212529; }
.portfolio-modal .close-modal .lr .rl {
  /* Safari and Chrome */
  z-index: 1052;
  width: 1px;
  height: 75px;
  /* IE 9 */
  -webkit-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
  background-color: #212529; 
}

section#contact {
  background-color: black;
  background-image: url("../img/map-image.png");
  background-repeat: no-repeat;
  background-position: center; 
  padding: 8rem 5% !important;
}
  section#contact .section-heading {
    color: #fff; }
  section#contact .form-group {
    margin-bottom: 25px; }
    section#contact .form-group input,
    section#contact .form-group textarea {
      padding: 20px; }
    section#contact .form-group input.form-control {
      height: auto; }
    section#contact .form-group textarea.form-control {
      height: 248px; }
  section#contact .form-control:focus {
    border-color: #fed136;
    box-shadow: none; }
  section#contact ::-webkit-input-placeholder {
    font-weight: 700;
    color: #ced4da;
    font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; }
  section#contact :-moz-placeholder {
    font-weight: 700;
    color: #ced4da;
    /* Firefox 18- */
    font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; }
  section#contact ::-moz-placeholder {
    font-weight: 700;
    color: #ced4da;
    /* Firefox 19+ */
    font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; }
  section#contact :-ms-input-placeholder {
    font-weight: 700;
    color: #ced4da;
    font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; }

footer {
  padding: 25px 0;
  text-align: center; 
  background: #333; 
}
  footer span.copyright {
    font-size: 90%;
    line-height: 40px;
    text-transform: none;
    font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; }
  footer ul.quicklinks {
    font-size: 90%;
    line-height: 40px;
    margin-bottom: 0;
    text-transform: none;
    font-family: 'Montserrat', 'Helvetica Neue', Helvetica, Arial, sans-serif; }


.appimg {
  max-height: 37rem !important;
  width: auto;
  padding: 3rem 2rem 3rem 37%;
}

/* /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////   MEDIA QUERIES   ///////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
  
/*----- Desktop min 992  ------*/

@media (min-width: 992px) {
  #mainNav {
    -webkit-transition: padding-top 0.3s, padding-bottom 0.3s;
    -moz-transition: padding-top 0.3s, padding-bottom 0.3s;
    transition: padding-top 0.3s, padding-bottom 0.3s;
    border: none;
    background-color: transparent; }
    #mainNav .navbar-brand {
      font-size: 155px;
      -webkit-transition: all 0.3s;
      -moz-transition: all 0.3s;
      transition: all 0.3s;
      position: absolute;
      margin-top: 15rem;
      line-height: 21px;
    }
    #mainNav .navbar-nav .nav-item .nav-link {padding: 0.5em 1.5em 0.5em 1em !important; }
    #mainNav.navbar-shrink {
      padding-top: 0;
      padding-bottom: 0;
      background-color: #08f6d1f5 !important
    }

    #mainNav.navbar-shrink .navbar-brand {
      font-size: 2.25em;
      padding: 26px 0px 12px 0px;
      margin-left: 0;
      margin-top: -2rem;
    }
}



.row {margin-left: 0px !important; margin-right: 0px !important}

/*Portfolio Modal*/
.portfolio-modal .close-modal {right: 0px;}
.portfolio-modal .close-modal .lr,
.portfolio-modal .close-modal .lr .rl {height: 30px;}
.portfolio-modal .modal-content {padding-top: 4rem;}
.portfolio-modal .modal-content h2 {
  font-size: 4em;
  font-weight: 700;
  text-align: left;
  padding-left: 16%;
}
@media only screen and (max-device-width : 1024px) {
  .portfolio-modal .modal-content h2 {
    font-size: 2.5em;
    padding-left: 8%;
  }
}

.modal-content,.modal-body,.modal-body .col-12 {padding: 0px}
.modal-content .container,.modal-content .container .col-lg-12.mx-auto {padding: 0px}


  /*Contact*/
  #contact a {
    font-size: 17px;
    font-weight: bold;
    letter-spacing: 0em;
  }

}


/* ////////////////////////////////////////////////  DEVICE SCREEN -  IPAD - MOBILE //////////////////////////////////////////// */
/*********************************************
    IPAD PRO
********************************************* */
@media only screen and (max-device-width : 1024px) {
    .navbar-expand-lg .navbar-nav {
        margin-right: 4rem;
    }
    #mainNav .navbar-brand {
        font-size: 2.75em;
        margin-left: 0%;
    }
    h1 {
        font-size: 1.5rem;
    }
    .container.menu-header {
        margin-top: 4rem;
        margin-bottom: 0rem;
    }
    .appimg {
        padding: 3rem 2rem 3rem 7%;
    }
    .offset-md-3 {
        margin-left: 20%;
    }
}

/*********************************************
    IPAD
********************************************* */
@media only screen and (max-device-width : 768px) {
  
}

/*********************************************
    GALAXY S9
********************************************* */
@media only screen and (max-device-width : 500px) {
  @media only screen and (max-device-width : 1024px) {
      .navbar-expand-lg .navbar-nav {
          margin-right: .8rem;
      }
      #mainNav .navbar-brand {
        font-size: 1.75em;
        padding: 1rem 0rem 0px 1rem;
        margin-left: 0%;
      }


/*********************************************
    IPHONE X MAX
********************************************* */
@media only screen and (max-device-width : 414px) {

}


/*********************************************
    IPHONE 6/7/8
********************************************* */
@media only screen and (max-device-width : 375px) {
         
}



/*********************************************
    GALAXY S5
********************************************* */
@media only screen and (max-device-width : 360px) {

    section#portfolio {
       margin-top: 1rem;
    }

}




/*********************************************
    Iphone 5 Portrait
********************************************* */
@media only screen and (max-device-width : 320px) {
    nav#mainNav {
        padding: 40px 20px 10px !important;
    }
   
      
}

/* BootstrapOverwrite */
@media (min-width: 1200px) {
  .container {
      max-width: 1400px;
  }
}
